#ifndef FLOATSLIDERPLUSIMPL_H
#define FLOATSLIDERPLUSIMPL_H

#include "floatSliderPlus.h"

class FloatSliderPlus: public floatSliderPlus
{
	Q_OBJECT

	public:
		FloatSliderPlus(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

		virtual bool setProperty(const char *name,const QVariant& value) ;

	public slots:
		// slots pour la mise a jour depuis l'exterieur.

		virtual void setValue(float) ;
		virtual void setValue(const QString&) ;
		
	signals:
		void valueChanged(float) ;

	protected:
		float min,max ;
		bool logarithmic ;
		unsigned int N ;
		bool stuck ;

	protected slots:
		void UpdateFromSlider(int) ;
		void UpdateFromTextField(const QString&) ;
};
#endif
